Loading...
Searching...
No Matches
cmdline::oneof_reader< T > Struct Template Reference

`#include <cmdline.h>`

## Public Member Functions

T | operator() (const std::string &s)
void | add (const T &v)

## Detailed Description

template<class T>
struct cmdline::oneof_reader< T >

Definition at line 243 of file cmdline.h.

## Member Function Documentation

## operator()()

template<class T>

T cmdline::oneof_reader< T >::operator() | ( | const std::string & | s | ) |

inline

Definition at line 244 of file cmdline.h.

References cmdline::throw_cmdline_error().

## add()

template<class T>

void cmdline::oneof_reader< T >::add | ( | const T & | v | ) |

inline

Definition at line 251 of file cmdline.h.

Referenced by cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), cmdline::oneof(), and cmdline::oneof().

The documentation for this struct was generated from the following file:

- src/autoschedulers/common/cmdline.h